<img :src="$withBase('/assets/cover.png')" alt="Alan.dart logo">

Alan.dart is a pure Dart package allowing you to easily integrate your Dart-based project with any [Cosmos](https://cosmos.network)-based blockchain.  

It contains a set of utility methods and classes allowing you to easily 

- create an HD Wallet 
- create a transaction 
- sign a transaction 
- broadcast a transaction
- ...and many more!

Being it in pure Dart means that you can use it inside your [Dart Web](https://dart.dev/web) projects 
as well as [Flutter](https://flutter.dev) ones.

:::tip Note  
Alan.dart is an evolution of [Sacco.dart](https://github.com/commercionetwork/sacco.dart) which I personally worked on. Due to the fact that Sacco.dart is no longer maintained by Commercio.network and I no longer work there, I decided to start this new project to support future mobile apps development for Cosmos-based chains.  
:::

## Getting started
1. [Setup](setup/overview.md)
2. [Managing a wallet](wallet/overview.md)
3. [Performing transactions](transactions/overview.md)
4. [Querying the chain](queries/overview.md)
